Skip to content
POST/{organizationId}/{mandateId}/booking/resources/reservations/{reservationId}/updateServices

Update reservation services

Updates the services of a specific reservation for a specific resource for a given mandate

Required permissions:

  • mandate.read

  • resource.read

  • resourceReservation.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
reservationIdstringrequired

Request Body required

Content-Type: application/json

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/booking/resources/reservations/{reservationId}/updateServices
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/resources/reservations/{reservationId}/updateServices' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "services": [
    {
      "serviceId": "string",
      "optionIds": [
        "string"
      ]
    }
  ],
  "options": {
    "charge": true,
    "refund": true
  }
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}